## ros-noetic-roswww 0.1.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roswww)
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

catkin_install_python(
  PROGRAMS script/webserver.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch test www
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} USE_SOURCE_PERMISSIONS
  PATTERN "test/test_*.py" EXCLUDE

)
catkin_install_python(
  PROGRAMS test/test_roswww.py test/test_single.py test/test_basic.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/launch.test)
  add_rostest(test/single.test)
endif()

=== debian/changelog ===
ros-noetic-roswww (0.1.13-1buster) buster; urgency=high

  * add basic authentication (#57 <https://github.com/tork-a/roswww/issues/57>
  * add single package mode (#56 <https://github.com/tork-a/roswww/issues/56>)
    
      * original PR #54 <https://github.com/tork-a/roswww/issues/54>
    
  * add more test on listener.html / talker .html #55 <https://github.com/tork-a/roswww/issues/55>
    
      * make python 2/3 compatible
      * use .travis.sh to compile with --install option
      * drop indigo/jade/lunar
      * add test for listner/talker
    
  * fix travis build and add melodic and noetic test (#53 <https://github.com/tork-a/roswww/issues/53>)
    
      * use add_arguent('-headless') to disable display
      * python3 returns bytes in subproces.Popen.communicate
    c.f. https://stackoverflow.com/questions/33054527/typeerror-a-bytes-like-object-is-required-not-str-when-writing-to-a-file-in
    https://stackoverflow.com/questions/15374211/why-does-popen-communicate-return-bhi-n-instead-of-hi
    * use python3-selenium instead of pip
    * add python3 compile test
    * python3 support for noetic
    * remove phantomjs dependency
    * use latest geckodriver version
    * use firefox instead of phantomjs
    * add noetic, melodic and allow failure for jade, lunar
    * install wget in BEFORE_INIT
    * use BEFORE_INIT instead of BEFORE_SCRIPT
  * Contributors: Kai-Uwe Hermann, Kei Okada, Shingo Kitagawa, Takashi Ogura

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Wed, 27 Oct 2021 15:00:00 -0000

ros-noetic-roswww (0.1.12-1buster) buster; urgency=high

  * [doc] Minor URL update. (#40 <https://github.com/tork-a/roswww/issues/40>)
  * fix CDN URL (#45 <https://github.com/tork-a/roswww/issues/45>)
  * Contributors: Isaac I.Y. Saito, Makito Ishikura

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 19 Mar 2019 15:00:00 -0000

ros-noetic-roswww (0.1.11-1buster) buster; urgency=high

  * Enable client testing && fix redirect bug (#42 <https://github.com/tork-a/roswww/issues/42>)
    * disable test for prerelease / stable ros repo
    * fix test script for kinetic
    * roswww/roswww_server.py: redirect for get package index without slash
    * roswww: add test code for web client
    * roswww: add start_port, end_port to launch
    * roswww/webserver.py: fix parsing ros arguments
  * Contributors: Yuki Furuta

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 21 Jan 2018 15:00:00 -0000

ros-noetic-roswww (0.1.10-1buster) buster; urgency=high

  * [capability] Add dis/enabling cache feature #39 <https://github.com/tork-a/roswww/issues/39>
  * [fix] Add missing dependency for test for Xenial. #38 <https://github.com/tork-a/roswww/issues/38>
  * Contributors: Taiji Fukaya, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 06 Apr 2017 15:00:00 -0000

ros-noetic-roswww (0.1.9-1buster) buster; urgency=high

  * Changed the target topic to communicate other samples, Rename from chat.launch to start_bridge.launch (#33 <https://github.com/tork-a/roswww/issues/33>)
  * add example for talker and listener (#33 <https://github.com/tork-a/roswww/issues/33>)
  * [doc] trying to fix that module api doc is gone inaccessible (#32 <https://github.com/tork-a/roswww/issues/32> )
  * Contributors: Isaac I.Y. Saito, Kei Okada, Kenta Yonekura

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 17 Apr 2016 15:00:00 -0000

ros-noetic-roswww (0.1.8-1buster) buster; urgency=high

  * [doc] Add rostopic-chat sample #31 <https://github.com/tork-a/roswww/issues/31>
  * [sys] Utilize test_depend that is defined in REP-140 #30 <https://github.com/tork-a/roswww/issues/30> from 130s/impr/utilize_testdepend
  * Contributors: Kenta Yonekura, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 13 Dec 2015 15:00:00 -0000

ros-noetic-roswww (0.1.7-1buster) buster; urgency=high

  * [fix] Developers don't need to create a sample www directory now that it's installed (#28 <https://github.com/tork-a/roswww/issues/28>)
  * [fix][test] Use install space for testing (to capture the issue raised in #28 <https://github.com/tork-a/roswww/issues/28>)
  * Contributors: Kenta Yonekura, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 06 Dec 2015 15:00:00 -0000

ros-noetic-roswww (0.1.6-1buster) buster; urgency=high

  * [sys] Add travis config and small unit tests (#27 <https://github.com/tork-a/roswww/issues/27>)
  * [doc] Utilize rosdoc_lite for document generation on ros build farm (#25 <https://github.com/tork-a/roswww/issues/25>)
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 30 Nov 2015 15:00:00 -0000

ros-noetic-roswww (0.1.5-1buster) buster; urgency=high

  * Install missing launch directory
  * Contributors: Jihoon Lee

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Fri, 27 Feb 2015 15:00:00 -0000

ros-noetic-roswww (0.1.4-1buster) buster; urgency=high

  * example launchfile. update dependency
  * configurable package web root
  * add parmeter in readme
  * classfy roswww webserver. remove ros runtime dependency
  * Contributors: Jihoon Lee, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 27 Jan 2015 15:00:00 -0000

ros-noetic-roswww (0.1.3-1buster) buster; urgency=high

  * Separate webserver.py into module and script files (quick fix to #10 <https://github.com/tork-a/roswww/issues/10>).
  * Contributors: Isaac I.Y. Saito, Jihoon Lee

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-noetic-roswww (0.1.2-1buster) buster; urgency=high

  * Re-release into ROS (addresses #1 <https://github.com/tork-a/roswww/issues/3>)
  * Remove tornado (this dependency is supposed to be taken from rosbridge). Move webserver.py to src folder to follow more common python style (fix #1 <https://github.com/tork-a/roswww/issues/1>)
  * Add dependency on rosbridge, webserver.py installation.


=== debian/control ===
Source: ros-noetic-roswww
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <iisaito@kinugarage.com>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg, python3-selenium, ros-noetic-catkin, ros-noetic-rostest
Homepage: http://wiki.ros.org/roswww
Standards-Version: 3.9.2

Package: ros-noetic-roswww
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rosbridge-server, ros-noetic-rosgraph, ros-noetic-rospack
Description: Feathery lightweight web server for ROS, that is based on Tornado web server module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-roswww//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
